Subject: Re: [PATCH 0/3] Another approach to large transactions

From: Jeff King <[email-masked]>
Date: Tue, 21 Apr 2015 19:21:13 -0400

On Mon, Apr 20, 2015 at 05:31:11PM -0700, Stefan Beller wrote:

> When running the test locally, i.e. not in the test suite, but typing
> the commands
> myself into the shell, Git is fine with having just 5 file descriptors left.
> The additional 4 required fds come from beign run inside the test suite.
> 
> When strace-ing git, I cannot see any possible other fds which would require
> having some left over space required. So I'd propose we'd just take a reasonable
> number not too small for various test setups like 32 and then go with the
> proposed patches.

FWIW, we already use a magic value of "25 extra" in open_packed_git_1. I
don't know if that means the number has been proven in practice, or if
it is simply that nobody actually exercises the pack_max_fds code. I
suspect it is the latter, especially since d131b7a (sha1_file.c: Don't
retain open fds on small packs, 2011-03-02).

-Peff